// src/api/deal/createDeal.ts
import instance from "../axiosInstance"

export async function createDeal(formData: FormData) {
  try {
  
    const { data } = await instance.post("/deals", formData, {
      // Axios FormData gönderirken header'ı genelde kendi ayarlar.
      // Ama bazı kurulumlarda gerekebilir:
      headers: { "Content-Type": "multipart/form-data" },
    })
    return data
  } catch (error: any) {
    const message =
      error.response?.data?.error || "Fırsat eklenemedi"
    console.error("Fırsat oluşturma hatası:", message)
    throw new Error(message)
  }
}
